/*

codes couleurs :

vert : #008150
gris clair : #E4E4E4
gris fonce : #CCCCCC
noir : #202020

*/


html, body, div, span, applet, object, iframe, 
h1, h2, h3, h4, h5, h6, p, blockquote, pre, 
a, abbr, acronym, address, big, cite, code, 
del, dfn, em, img, ins, kbd, q, s, samp, 
small, strike, strong, sub, sup, tt, var, 
b, u, i, center, 
dl, dt, dd, ol, ul, li, 
fieldset, form, label, legend, 
table, caption, tbody, tfoot, thead, tr, th, td, 
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary, 
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font: inherit;
}

html {
	background-color: #E4E4E4;
	font-size: 100%;
}
body {
	margin: 0 auto;
	padding: 0 30px;
	width: 910px;
	/*border: 1px solid #E4E4E4;
	border-width: 0 1px 1px 1px;*/
	background-color: #FFF;
	font-family: Arial, Helvetica, sans-serif;
	line-height: 1.4;
	font-size: 75%;
	color: #202020;
}
hr {
	border: 0;
	height: 0;
	visibility: hidden;
}
hr.sips_oneclick_hr {
	border-top: 1px solid #ccc;
	visibility: visible;
}
center {
	clear: both;
	text-align: left;
}
table {
  border-collapse: collapse;
}

/* advert */
.sips_advert_logo {
  /* display: none; */
}

/* header */
table.sips_shop_name_table {
	/*border: 1px solid #d9d2d3;
	border-width: 0 0 1px 0;*/
	margin: 0 0 40px 50px;
	width: 92%;
}

/* logo 1 et logo 2 */
table.sips_shop_name_table td:last-child {
  /* display: none; */
	padding-right: 50px;
}

table.sips_shop_name_table td center {
	/*visibility:hidden;*/
	/* text-align: right; */
	/* padding-right: 202px; */
	padding-left: 30px;
}

.sips_shop_name_font
{
  font-size: 2em;
  color: #008150;
}

/* logo moyen de paiement */
.sips_logo
{
  clear: both;
  /* position: relative; */
  margin-right: 20px;
}

/* rappel des informations transactionelles */
table.sips_trans_ref_table {
	margin-left: 152px;
	_margin-left : 75px;
	margin-bottom: 10px;
	width: 580px;
}
table.sips_trans_ref_table i {
	font-weight: normal;
	font-style: normal;
}
table.sips_trans_ref_table b.sips_trans_ref_table_id_customer, 
table.sips_trans_ref_table b.sips_trans_ref_table_id_transaction, 
table.sips_trans_ref_table b.sips_trans_ref_table_amount_transaction,
table.sips_trans_ref_table b.sips_trans_ref_table_date, 
table.sips_trans_ref_table b.sips_trans_ref_table_url,
table.sips_trans_ref_table b.sips_trans_ref_msg_cardholder_nb, 
table.sips_trans_ref_table b.sips_trans_ref_card_auth_nb, 
table.sips_trans_ref_table b.sips_trans_ref_card_auth_certif, 
table.sips_trans_ref_table b.sips_trans_ref_dcc_foreign_amount,
table.sips_trans_ref_table b.sips_trans_ref_dcc_exchange_rate, 
table.sips_trans_ref_table b.sips_trans_ref_dcc_margin_rate, 
table.sips_trans_ref_table b.sips_trans_ref_dcc_source_rate
{
  font-weight: bold;
  color: #008150;
}
table.sips_trans_ref_table i.sips_trans_ref_table_amount_transaction_result, table.sips_trans_ref_table i.sips_trans_ref_dcc_foreign_amount_result {
  font-weight: bold;
  color: #008150;
}
/*table.sips_trans_ref_table tr:last-child td {
  padding-top: 20px;
  font-size: 1.4em;
	font-weight: bold;
}*/

table.sips_trans_ref_table span.sips_trans_ref_table_date_result {
  /*font-weight: bold;*/
}

/* paiement securise */
b.sips_secure_message {
	display: block;
	clear: both;
	margin: 20px 152px 0 152px;
	font-size: 12px;
	font-weight: normal;
	/*font-style: italic;*/
	text-atext-align: justify;
}
b.sips_secure_message img {
	vertical-align: middle;
}

/* formulaire */
form {
	margin: 10px 142px 20px 142px;
	padding: 15px 0;
	/*border: 1px solid #E4E4E4;*/
	background: #FFF;
	clear: both;
}
center form {
	margin:0 142px;
	background: none;
	border: none;
	padding: 0;
}
form.sips_callAcsForm {
	margin: 10px 0px 20px 0px;
	padding: 15px 0;
	/* border: 1px solid #E4E4E4; */
	background: #FFF;
	clear: both;
}
form input, form select {
	font-family: Arial;
	font-size: 12px;
}
/* titres */
.sips_oneclick_reg_new_card_header, .sips_oneclick_use_reg_card_header, .sips_oneclick_use_card_header {
	display: block;
	padding: 0 15px 15px 15px;
	color: #008150;
	font-size: 1.4em;
	font-weight: bold;
}
/* infos carte */
.sips_oneclick_reg_card_table {
	margin: 0 15px 10px 15px;
	width: 95%;
	border-spacing: 0;
}
form .sips_card_number_title {
	padding-left: 15px;
	/*font-weight: bold;*/
}
form .sips_expiry_date_card_title {
	/*font-weight: bold;*/
}
form .sips_submit_message {
	display: none;
	padding-left: 15px;
}
.sips_submit_button, .sips_customer_return_button, .sips_print_button {
	display: block;
  margin:0 auto;
	text-align: center;
	border: 1px solid #008150 !important;
	color: #FFFFFF !important;
	background-color: #008150;
	background-image: url("../xxx.png"), -moz-linear-gradient(center top , transparent, rgba(0, 0, 0, 0.2));
	cursor: pointer !important;
	border-radius: 4px;
  font-size-adjust: none;
  font-stretch: normal;
  font-style: none;
  font-variant: normal;
  font-weight: bold;
  line-height: 16px;
  padding: 2px 10px;
  text-transform : uppercase;
}
.sips_submit_button:hover, .sips_customer_return_button:hover, .sips_print_button:hover {
  border: 1px solid #CCCCCC !important;
	color: #FFFFFF !important;
	background-color: #CCCCCC;
	background-image: url("../xxx.png"), -moz-linear-gradient(center top , transparent, rgba(0, 0, 0, 0.2));
}
.sips_customer_return_button {
  margin-bottom: 30px;
}
.sips_print_button {
  margin-top: 30px;
  margin-bottom: 10px;
}
form input.sips_card_number_input {
	margin: 10px 10px 0 10px;
	border: 1px solid #CCCCCC;
	vertical-align: baseline;
}
form .sips_oneclick_reg_card_alias_input {
	border: 1px solid #CCCCCC;
}
form select.sips_expiry_month_card_input {
	margin: 10px 5px 0 10px;
	border: 1px solid #CCCCCC;
	vertical-align: baseline;
}
form select.sips_expiry_year_card_input {
	margin: 10px 0 0 5px;
	border: 1px solid #CCCCCC;
	vertical-align: baseline;
}
form a.sips_cryptogram_example {
	padding-left: 15px;
}
form a.sips_cryptogram_example, form a:active.sips_cryptogram_example, form a:visited.sips_cryptogram_example {
	margin: 10px 0 0 0;
	color: #008150;
	text-decoration: underline;
}
form a:hover.sips_cryptogram_example {
	text-decoration: none;
}
form input.sips_cryptogram_code_input {
	margin: 10px 0 0 5px;
	border: 1px solid #CCCCCC;
	vertical-align: baseline;
	width: 40px;
}
form input.sips_oneclick_cvv_reg_card_input{
	border: 1px solid #CCCCCC;
	vertical-align: baseline;
	width: 40px;
	margin-left:5px;
}
form input {
	text-align: left;
}

form input[alt="VALIDER"] {
	margin: 10px auto 0 auto;
	display: block;
}
center form input {
	display: block;
	margin:0 auto 20px auto;
}
.sips_oneclick_reg_new_card_title, .sips_oneclick_reg_card_label {
	font-weight: 700;
}
.sips_oneclick_p_reg_new_card, .sips_oneclick_p_reg_card_alias {
	margin: 0;
	padding-left: 15px;
	background: #fff;
}
.sips_oneclick_p_reg_new_card {
	margin-top: 20px;
	padding-bottom: 15px;
	/*border-top: 1px solid #E4E4E4;*/
}
.sips_oneclick_p_reg_card_alias {
	/*border-bottom: 1px solid #E4E4E4;*/
}
.sips_oneclick_choose_msg {
	padding: 10px 0;
	font-weight: bold;
	text-transform: uppercase;
}
.sips_oneclick_div_sep {
	padding: 20px;
}
.sips_oneclick_validity_reg_card_title, sips_oneclick_cvv_reg_card_title {
  font-weight: bold;
}
.sips_oneclick_reg_card_alias_optional {
  font-style: italic;
  font-size: 90%;
}
.sips_oneclick_reg_card_table th {
	padding: 5px;
	/*border-top: 1px solid #E4E4E4;
	border-bottom: 1px solid #E4E4E4;*/
	text-align: center;
}
.sips_oneclick_th_1 {
	/*border-left: 1px solid #E4E4E4;*/
}
.sips_oneclick_th_4 {
	/*border-right: 1px solid #E4E4E4;*/
}

.sips_oneclick_reg_card_table th.sips_oneclick_th_1 {
	/* fallback */
  background-color: #E4E4E4;
  /* Safari 4-5, Chrome 1-9 */
  background: -webkit-gradient(linear, left top, right top, from(#E4E4E4), to(#FFF));
  /* Safari 5.1, Chrome 10+ */
  background: -webkit-linear-gradient(left, #FFF, #E4E4E4);
  /* Firefox 3.6+ */
  background: -moz-linear-gradient(left, #FFF, #E4E4E4);
  /* IE 10 */
  background: -ms-linear-gradient(left, #FFF, #E4E4E4);
  /* Opera 11.10+ */
  background: -o-linear-gradient(left, #FFF, #E4E4E4);
}

.sips_oneclick_th_1, .sips_oneclick_th_2, .sips_oneclick_th_3, .sips_oneclick_th_4, .sips_oneclick_th_5 {
	/*border-bottom: 1px solid #008150;*/
	background-color: #E4E4E4;	
}
.sips_oneclick_reg_card_table td b {
	font-weight: 700;
}
.sips_oneclick_td_1, .sips_oneclick_td_2, .sips_oneclick_td_3, .sips_oneclick_td_4, .sips_oneclick_td_5, .sips_oneclick_td_6, .sips_oneclick_td_7 {
	padding: 10px 3px;
	/*border-bottom: 1px solid #E4E4E4;*/
	background: #FFF;
}
.sips_oneclick_tr_update td, .sips_oneclick_tr_delete td {
  padding: 5px;
  /*background: #E4E4E4;*/
}
.sips_oneclick_td_4, .sips_oneclick_td_5 {
	text-align: center;
}
.sips_oneclick_tr_update td, .sips_oneclick_tr_delete td {
	/*background: #E4E4E4;*/
}
.sips_oneclick_tr_update td, .sips_oneclick_tr_delete td {
	padding-right: 10px;
	/*border-left: 1px solid #E4E4E4;
	border-right: 1px solid #E4E4E4;*/
}
.sips_oneclick_tr_update input, .sips_oneclick_tr_delete input {
	border: 1px solid #CCCCCC;
	margin-left: 5px;
	margin-bottom: 5px;
	padding-left: 1px;
	padding-right: 1px;
}
.sips_oneclick_operations_submit_button, .sips_oneclick_operations_cancel_button {
	margin: 11px 0 0 5px;
	border: 1px solid #202020 !important;
	color: #202020 !important;
	background-color: #E4E4E4;
	cursor: pointer !important;
}
.sips_oneclick_td_1 {
	/*border-left: 1px solid #E4E4E4;*/
}
.sips_oneclick_td_7 {
	/*border-right: 1px solid #E4E4E4;*/
}

/* AMEX */
form input.sips_card_4dbc_input {
	border: 1px solid #CCCCCC;
	vertical-align: baseline;
}
.sips_card_4dbc_table a {
	color: #008150;
	text-decoration: underline;
}
.sips_card_4dbc_table a:hover {
	text-decoration: none;
}

/* 3DS */
div.sips_threeD_info_message {
  display: block;
  padding-left: 0px;
  text-align: left;
}

b.sips_threeD_redirect_info_message {
  margin-left: 152px;
  text-align: left;
  font-weight: bold;
}

i.sips_threeD_noredirect_action_message {
  margin-left: 152px;
  text-align: left;
}

i.sips_threeD_noredirect_action_message a {
  color: #0066A1;
	text-decoration: underline;
}

i.sips_threeD_noredirect_action_message a:hover {
	text-decoration: none;
}

/* JavaScript desactive pour redirection ACS */
i.sips_threeD_submit_button {

}

/* DCC */
div.sips_dcc_option_choice_block {
  display: block;
  padding-left: 15px;
  margin-bottom: 25px;
}
span.sips_dcc_option_choice_title {
	padding-left: 5px;
	color: #008150;
	font-size: 1.4em;
	font-weight: bold;
}
input.sips_dcc_option_choice_radiobox {
  margin-bottom: 25px;
}

/* erreurs */
i.sips_error_code,
i.sips_error_message {
	margin: 0 0 0 152px;
	font-size: 12px;
	text-align: left;
	font-style: normal;
	color: #C8370E;
	display: block;
}
b.sips_error {
	margin: 0 0 0 152px;
	font-size: 12px;
	float: left;
	font-weight: normal;
	color: #C8370E;
}
span.sips_last_try_message {
	margin: 0 0 0 5px;
	color: #C8370E;
	font-size: 12px;
	font-weight: normal;
}
span.sips_oneclick_error_get_reg_cards {
	display: block;
	padding: 0 15px 10px 15px;
	color: #C8370E;
	font-weight: bold;
}

/* copyright */
b i.sips_footer_message {
	/*display: none;*/
	display: block;
	text-align: center;
	padding-bottom: 10px;
	color: #008150;
	font-size: 0.9em;
	font-weight: bold;
}

/* transaction acceptee */
h3.sips_payment_accepted_message {
	margin: 20px 152px 30px 152px;
	font-size: 12px;
	font-size: 1.4em;
	font-weight: bold;
	text-align: center;
	color: #008150;
}
span.sips_keep_reference_message {
	display: block;
	margin: 0 152px;
	padding: 20px 0 0 0;
	border: 1px solid #E4E4E4;
	border-width: 1px 0 0 0;
	font-size: 12px;
	font-weight: bold;
	text-align: center;
}
span.sips_no_windows_message {
	display: block;
	margin: 0 152px;
	font-size: 0.8em;
	line-height: 1.5;
	text-align: justify;
}
span.sips_dcc_confirm_label {
  display: block;
	margin: 0 152px;
	text-align: justify;
}

/* transaction en cours */
span.pending_message,
span.trans_ref_message {
	display: block;
	margin: 0 152px;
}

/* refus */
h2.sips_refusal_message {
	margin: 20px 100px 30px 100px;
	font-size: 12px;
	font-size: 1.4em;
	font-weight: bold;
	text-align: center;
	color: #0066A1;
}

/* referral */
h3.sips_noreg_trans_message {
	margin: 20px 152px 30px 152px;
	font-size: 12px;
	font-size: 1.4em;
	font-weight: bold;
	text-align: center;
	color: #0066A1;
}
		
/* erreur finale */
h2.sips_retry_message,
h2.sips_no_opc_message,
h3 .sips_error_trans,
h3 .sips_error_trans_message,
.sips_pending_message,
.sips_trans_ref_message {
	margin: 0 152px 30px 152px;
	font-size: 12px;
	text-align: left;
	font-style: normal;
	display:block;
	font-weight: bold;
}
h3 .sips_error_trans,
h3 .sips_error_trans_message {
	color: #C8370E;
	font-weight: normal;
}
		
/* bouton resultat transaction */
.sips_submit_customer_button {
	border: 1px solid #ff8ec8;
	background: #ffd7ec url(gen_bt_bg.gif) center left repeat-x;
	color: #e91583;
	text-align: center;
	cursor: pointer;
	margin: 0 auto;
	display:block;
	height: 20px;
}
.sips_card_4dbc_table,
.sips_card_4dbc_table td {
	border: 0;
}

/* acceptation carte oneClickPayment */
.sips_oneclick_confirm_reg_card {
	display:block;
	margin:20px 153px;
	text-align:center;
	color:#202020;
	font-weight:bold;
}
.sips_oneclick_error_reg_card {
	display:block;
	margin:20px 153px;
	text-align:center;
	color:#C8370E;
	font-weight:bold;
}

/* mentions legales */
.sips_oneclick_legal_block {
	display: block;
	padding-top: 30px;
	/*background: url(info.jpg) center top no-repeat;*/
}
.sips_oneclick_legal_block p {
	font-size: 0.8em;
	line-height: 1.5;
	text-align: justify;
}
